function getderechos(){
    
    var perfil = $('#listaperfiles option:selected').val();

    if(perfil == ''){
        alert("Selecciona un Perfil y luego pulsa en ver Derechos");
        return;
    }
        
    $("input:checkbox").each(function() {
        $(this).prop("checked", false);
    });
	    $.get("./cu/perfiles_cu.php", {op:1,perf:perfil}, function(respuesta){
			if(!respuesta){
                        alert("Error al obtener información");
						$("#guardar").prop("disabled",false);
                        return;
						}
             var submenus = respuesta.split("_");
			for(var i = 0; i < submenus.length-1; i++){
                        var filas = submenus[i].split("*");
						var subm =filas[3];
						document.getElementById("sub_"+parseInt(subm)).checked = true;
			}
			alert("Derechos consultados correctamente");
	$("#guardar").prop("disabled",false);			
 });
}
function cambiopcion(){
	$("input:checkbox").each(function() {
        $(this).prop("checked", false);
    });
	$("#guardar").prop("disabled",true);
}
function guardarperfil(){
    
    var perfil = $('#listaperfiles option:selected').val();
	var tablas="perfiles";
	var campos="perfil";
    $.get("./cu/perfiles_cu.php",{op:2,tabla:tablas, campo:campos,valor:perfil}, function(respuesta){
		
	});		
	sleep_ms(500);
	tablas="perfiles_sub";
	 $.get("./cu/perfiles_cu.php",{op:2,tabla:tablas, campo:campos,valor:perfil}, function(respuesta){
		
	});		
	sleep_ms(500);
	$("input:checkbox:checked").each(function() {
		tablas="perfiles_sub";
		var existe=0;
		var valores=$(this).val();
		var valoresarr=valores.split('~');
		$.get("./cu/perfiles_cu.php", {op:3,tabla:tablas,perfil:perfil,id_menu:valoresarr[0],id_submenu:valoresarr[1]}, function(respuesta){

			if(!respuesta){
                        alert("Error al guardar datos");
                        return;
						}
						
						
     
		});
		
	});
	var arreglomenus=[];
	var x=0;
	$("input:checkbox:checked").each(function() {
		var valores=$(this).val();
		var valoresarr=valores.split('~');
		arreglomenus[x]=valoresarr[0];
		x=x+1;
		});
		var SinDuplicados=[];
	SinDuplicados = arreglomenus.filter(function(value, index, self) { 
		return self.indexOf(value) === index;
		});
		tablas="perfiles";

	for(var i = 0; i < SinDuplicados.length; i++){

                       $.get("./cu/perfiles_cu.php", {op:5,tabla:tablas,id_menu:SinDuplicados[i],perfil:perfil}, function(respuesta3){

								if(!respuesta3){
									alert("Error al guardar datos");
									return;
									}
							});
			}
   

	alert("Derechos guardados correctamente");
}




function tableToExcel(table, name, filename) {
        let uri = 'data:application/vnd.ms-excel;base64,', 
        template = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"><title></title><head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet><x:Name>{worksheet}</x:Name><x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet></x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--><meta http-equiv="content-type" content="text/plain; charset=UTF-8"/></head><body><table>{table}</table></body></html>', 
        base64 = function(s) { return window.btoa(decodeURIComponent(encodeURIComponent(s))) },         format = function(s, c) { return s.replace(/{(\w+)}/g, function(m, p) { return c[p]; })}
        
        if (!table.nodeType) table = document.getElementById(table)
        var ctx = {worksheet: name || 'Worksheet', table: table.innerHTML}

        var link = document.createElement('a');
        link.download = filename;
        link.href = uri + base64(format(template, ctx));
        link.click();
}




